View Issue Details

IDProjectCategoryView StatusLast Update
0006896Kali Linux[All Projects] General Bugpublic2021-01-08 17:53
Reporterwwywyeydy Assigned Todaniruiz  
PrioritylowSeveritytextReproducibilityalways
Status assignedResolutionopen 
Product Version2020.4 
Target VersionFixed in Version 
Summary0006896: Terminal
DescriptionWhen I install libreoffice, specials chars disappear in terminal.

Can you help me?
Steps To Reproducesudo apt install libreoffice

Activities

wwywyeydy

2020-12-03 02:50

reporter  

report.png (287,357 bytes)

daniruiz

2020-12-08 08:59

developer   ~0013950

That is weird. I've checked it and I can confirm this issue, so I'll continue investigating it.
Thanks for reporting!

daniruiz

2020-12-08 12:17

developer   ~0013953

I've tested all the fonts that are installed as a dependency by libreoffice and the one that breaks the icons is fonts-noto-core. This issue is also present in konsole terminal so this might be a Qt issue.

wwywyeydy

2020-12-13 19:56

reporter   ~0013971

Hello, it can be fixed?

daniruiz

2021-01-05 13:52

developer   ~0014036

I'm trying to find the issue but had no luck for now. This needs to be fixed

mantisjr

2021-01-05 15:02

reporter   ~0014038

Please try these steps:
1. Download the tar.gz file from https://www.libreoffice.org/download/download/?type=deb-x86_64&version=7.0.4&lang=en-US
2. unpack it
3. open the folder "DEBS" in the terminal
4. type "sudo dpkg -i *.deb"

I hope this will help

rhertzog

2021-01-06 07:06

administrator   ~0014039

Maybe Qt ends up using/favoring the noto font but the font as installed lacks the special characters? What happens if you install "fonts-noto" which should pull all the other fonts-noto-*?

Aren't we forcing the use of another font currently?

Maybe our default font lacks the symbols and Qt tries to fallback to noto knowing that it should have all the symbols and in fact we have only a subset?

Issue History

Date Modified Username Field Change
2020-12-03 02:50 wwywyeydy New Issue
2020-12-03 02:50 wwywyeydy File Added: report.png
2020-12-08 08:59 daniruiz Note Added: 0013950
2020-12-08 12:17 daniruiz Note Added: 0013953
2020-12-13 19:56 wwywyeydy Note Added: 0013971
2021-01-05 13:52 daniruiz Note Added: 0014036
2021-01-05 15:02 mantisjr Note Added: 0014038
2021-01-06 07:06 rhertzog Note Added: 0014039
2021-01-08 17:53 daniruiz Assigned To => daniruiz
2021-01-08 17:53 daniruiz Status new => assigned